Gecode::Action::Storage Class Reference

Object for storing action values. More...

`#include <action.hpp>`

## Public Member Functions

template<class View>
| Storage (Home home, ViewArray< View > &x, double d, typename BranchTraits< typename View::VarType >::Merit bm)
| Initialize action values.
void | update (int i)
| Update action value at position i.
| ~Storage (void)
| Delete object.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

int | n
| Number of action values.
double | invd
| Inverse decay factor.
double * | a
| Action values (more follow).

## Static Public Attributes

static Support::Mutex | m
| Mutex to synchronize globally shared access.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Object for storing action values.

Definition at line 47 of file action.hpp.

## Constructor & Destructor Documentation

## Storage()

template<class View>

Gecode::Action::Storage::Storage | ( | Home | home,
|  | ViewArray< View > & | x,
|  | double | d,
|  | typename BranchTraits< typename View::VarType >::Merit | bm )

inline

Initialize action values.

Definition at line 257 of file action.hpp.

## ~Storage()

Gecode::Action::Storage::~Storage | ( | void |  | ) |

Delete object.

Definition at line 40 of file action.cpp.

## Member Function Documentation

## update()

void Gecode::Action::Storage::update | ( | int | i | ) |

inline

Update action value at position i.

Definition at line 271 of file action.hpp.

## Member Data Documentation

## m

Support::Mutex Gecode::Action::Storage::m

static

Mutex to synchronize globally shared access.

Definition at line 50 of file action.hpp.

## n

int Gecode::Action::Storage::n

Number of action values.

Definition at line 52 of file action.hpp.

## invd

double Gecode::Action::Storage::invd

Inverse decay factor.

Definition at line 54 of file action.hpp.

## a

double* Gecode::Action::Storage::a

Action values (more follow).

Definition at line 56 of file action.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/branch/action.hpp
- gecode/kernel/branch/action.cpp